"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FabricContract = void 0;
const common_1 = require("@ts-core/common");
class FabricContract extends common_1.DestroyableContainer {
    constructor(name, api) {
        super();
        this.name = name;
        this.api = api;
        this._contract = api.network.getContract(name);
    }
    get contract() {
        return this._contract;
    }
    destroy() {
        if (this.isDestroyed) {
            return;
        }
        super.destroy();
        this.api = null;
        this._contract = null;
    }
}
exports.FabricContract = FabricContract;
