"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FabricApiClientFactory = void 0;
const common_1 = require("@ts-core/common");
const _ = require("lodash");
const FabricApiClient_1 = require("../FabricApiClient");
class FabricApiClientFactory extends common_1.LoggerWrapper {
    constructor(logger, settings) {
        super(logger);
        this.settings = settings;
        this.items = new Map();
    }
    get(uid) {
        return __awaiter(this, void 0, void 0, function* () {
            let item = this.items.get(uid);
            if (!_.isNil(item)) {
                return item;
            }
            item = new FabricApiClient_1.FabricApiClient(this.logger, this.settings.get(uid));
            this.items.set(uid, item);
            yield item.connect();
            return item;
        });
    }
}
exports.FabricApiClientFactory = FabricApiClientFactory;
