import { ILogger, LoggerWrapper } from '@ts-core/common';
import { MapCollection } from '@ts-core/common';
import { IFabricConnectionSettings } from '../IFabricConnectionSettings';
export declare class FabricConnectionSettingsFactory<T extends IFabricConnectionSettings = IFabricConnectionSettings> extends LoggerWrapper {
    protected _items: MapCollection<T>;
    constructor(logger: ILogger);
    protected createCollection(): MapCollection<T>;
    protected parseItem(item: any): T;
    protected parsePem(item: string): string;
    protected isItemValid(item: T): boolean;
    get(uid: string): T;
    parse(items: Array<any>): Promise<void>;
    destroy(): void;
    get items(): MapCollection<T>;
}
