import { DestroyableContainer } from '@ts-core/common';
export class FabricContract extends DestroyableContainer {
    constructor(name, api) {
        super();
        this.name = name;
        this.api = api;
        this._contract = api.network.getContract(name);
    }
    get contract() {
        return this._contract;
    }
    destroy() {
        if (this.isDestroyed) {
            return;
        }
        super.destroy();
        this.api = null;
        this._contract = null;
    }
}
