/// <reference types="node" />
import { FabricApiClient } from '../FabricApiClient';
import { FabricContract } from './FabricContract';
import { IFabricChannelInfo } from '../IFabricChannelInfo';
import { IFabricBlock } from '../IFabricBlock';
import { IFabricTransaction } from '../IFabricTransaction';
import { Channel } from 'fabric-common';
export declare class FabricContractQSCC extends FabricContract {
    constructor(api: FabricApiClient);
    protected parseBlock(data: Buffer): IFabricBlock;
    protected parseTransaction(data: Buffer): IFabricTransaction;
    getInfo(channel?: Channel): Promise<IFabricChannelInfo>;
    getBlockNumber(channel?: Channel): Promise<number>;
    getBlock(block: number | string, channel?: Channel): Promise<IFabricBlock>;
    getBlockByTransactionId(id: string, channel?: Channel): Promise<IFabricBlock>;
    getTransaction(id: string, channel?: Channel): Promise<IFabricTransaction>;
}
