var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { LoggerWrapper } from '@ts-core/common';
import * as _ from 'lodash';
import { FabricApiClient } from '../FabricApiClient';
export class FabricApiClientFactory extends LoggerWrapper {
    constructor(logger, settings) {
        super(logger);
        this.settings = settings;
        this.items = new Map();
    }
    get(uid) {
        return __awaiter(this, void 0, void 0, function* () {
            let item = this.items.get(uid);
            if (!_.isNil(item)) {
                return item;
            }
            item = new FabricApiClient(this.logger, this.settings.get(uid));
            this.items.set(uid, item);
            yield item.connect();
            return item;
        });
    }
}
